Loading...
Searching...
No Matches
CxxTest::YesNoRunner Class Reference

`#include <YesNoRunner.h>`

## Public Member Functions

| YesNoRunner ()
int | run ()
Public Member Functions inherited from CxxTest::TestListener
| TestListener ()
virtual | ~TestListener ()
virtual void | enterWorld (const WorldDescription &)
virtual void | enterSuite (const SuiteDescription &)
virtual void | enterTest (const TestDescription &)
virtual void | trace (const char *, unsigned, const char *)
virtual void | warning (const char *, unsigned, const char *)
virtual void | failedTest (const char *, unsigned, const char *)
virtual void | failedAssert (const char *, unsigned, const char *)
virtual void | failedAssertEquals (const char *, unsigned, const char *, const char *, const char *, const char *)
virtual void | failedAssertSameData (const char *, unsigned, const char *, const char *, const char *, const void *, const void *, unsigned)
virtual void | failedAssertDelta (const char *, unsigned, const char *, const char *, const char *, const char *, const char *, const char *)
virtual void | failedAssertDiffers (const char *, unsigned, const char *, const char *, const char *)
virtual void | failedAssertLessThan (const char *, unsigned, const char *, const char *, const char *, const char *)
virtual void | failedAssertLessThanEquals (const char *, unsigned, const char *, const char *, const char *, const char *)
virtual void | failedAssertPredicate (const char *, unsigned, const char *, const char *, const char *)
virtual void | failedAssertRelation (const char *, unsigned, const char *, const char *, const char *, const char *, const char *)
virtual void | failedAssertThrows (const char *, unsigned, const char *, const char *, bool)
virtual void | failedAssertThrowsNot (const char *, unsigned, const char *)
virtual void | leaveTest (const TestDescription &)
virtual void | leaveSuite (const SuiteDescription &)
virtual void | leaveWorld (const WorldDescription &)

## Detailed Description

Definition at line 14 of file YesNoRunner.h.

## Constructor & Destructor Documentation

## YesNoRunner()

CxxTest::YesNoRunner::YesNoRunner | ( |  | ) |

inline

Definition at line 17 of file YesNoRunner.h.

{
}

## Member Function Documentation

## run()

int CxxTest::YesNoRunner::run | ( |  | ) |

inline

Definition at line 21 of file YesNoRunner.h.

{
TestRunner::runAllTests( *this );
return tracker().failedTests();
}
CxxTest::TestRunner::runAllTests
static void runAllTests(TestListener &listener)
Definition TestRunner.h:20
CxxTest::TestTracker::failedTests
unsigned failedTests() const
Definition TestTracker.h:37
CxxTest::tracker
TestTracker & tracker()
Definition TestTracker.h:111

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/YesNoRunner.h